Page Grids

Returns the list of dynamic tables attached to the page

Request

GET

https://api.wiki.yandex.net/v1/pages/{idx}/grids

Path parameters

Name

Description

idx

Type: integer

Query parameters

Name

Description

cursor

Type: string

Example: ``

order_by

Type: string

If specified, sort the results by this field in the direction direction

Enum: title, created_at

order_direction

All of: OrderDirection
  • OrderDirection

    Type: string

    An enumeration.

    Enum: asc, desc

If order_by is specified, the sort direction

Default: asc

Example: ``

page_id

Type: integer

legacy Page number in the result set

Default: 1

Min value: 1

page_size

Type: integer

Number of results per page.

Default: 25

Min value: 1

Max value: 50

Responses

200 OK

OK

Body

application/json
{
  "results": [
    {
      "id": "example",
      "title": "example",
      "created_at": "2025-01-01T00:00:00Z"
    }
  ],
  "next_cursor": "example",
  "prev_cursor": "example",
  "has_next": true,
  "page_id": 0
}

Name

Description

has_next

Type: boolean

For backward compatibility: if a cursor is set, check ..._cursor instead

page_id

Type: integer

For backward compatibility: always equals 1 when a cursor is set

results

Type: PageGridsSchema[]

Example
[
  {
    "id": "example",
    "title": "example",
    "created_at": "2025-01-01T00:00:00Z"
  }
]

next_cursor

Type: string

Example: example

prev_cursor

Type: string

Example: example

PageGridsSchema

Name

Description

created_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

id

Type: string<uuid4>

Example: example

title

Type: string

Example: example

Example
{
  "id": "example",
  "title": "example",
  "created_at": "2025-01-01T00:00:00Z"
}